Subject: Re: bug#25997: mirror: Add sourceforge variant with 'projects'.

From: ng0 <[email-masked]>
Date: Sat, 11 Mar 2017 22:48:25 +0000

Ludovic Courtès transcribed 0.3K bytes:
> Hi,
> 
> ng0 <[email-masked]> skribis:
> 
> > This adds a variant of sourceforge mirrors to cover downloads where the path includes projects instead of project.
> 
> Does that really happen?  Do you have an example?
> 
> I thought that when they changed the URL scheme a few months ago they
> chose one and dismissed the other.
> 
> Thanks,
> Ludo’.
> 
> 

No, I run into this regulary. One example we have in the tree: tintin++.

(define-public tintin++
  (package
    (name "tintin++")
    (version "2.01.2")
    (source (origin
              (method url-fetch)
              (uri (string-append
                                  "https://sourceforge.net/projects/tintin"
                                  "/files/TinTin++ Source Code/" version
                                  "/tintin" "-" version ".tar.gz"))

I have tried to use the (current) mirror format when I contributed it, and there
are some more packages for which it happened that the mirror format was
useless.